Author Topic: Error: Unrecognized Operator  (Read 6170 times)

Frankie

  • Eco-Libertarian
  • Newbie
  • *
  • Posts: 1
    • View Profile
    • http://francis.uy.googlepages.com/
Error: Unrecognized Operator
« on: March 27, 2006, 03:58:28 PM »
Using various 3.6.x Taylor builds for OSX, and various downloads of Transcend (with or without patch files), I consistently get the following error while trying to load Transcend mission #4:
Quote
Error: Unrecognized operator.
In sexpression: ( when
   ( has-arrived-delay 0 "Capricorn" )
   ( send-message-list
      "Omicron 2"
      "High"
      "Omicron2_3"
      0
      "Omicron 1"
File: /code/mission/missionparse.cpp
Line 5313
BTW, the following lines are:
Quote
   "High"
    "Omicron_4"
    5000
which is where I think the problem occurs. Omicron_4 is a ship reference, but should be a message reference (e.g. Omicron_4_1). However, lacking Fred for OSX I am unable to repair the problem. Manually editing the VP results in other mysterious errors, presumably I'm screwing up a length counter or offset pointer.

Ransom Arceihn

  • Syrophoenician
  • Sr. Member
  • ****
  • Posts: 348
    • View Profile
    • http://www.the-avatar.com
Error: Unrecognized Operator
« Reply #1 on: March 28, 2006, 08:14:14 AM »
I looked through some of the early missions. The mission you're actually experiencing this problem with is M6, not M4. In any case, Omicron_4 is actually a message in the mission (and there's not an Omicron 4 ship in the mission either), so there's nothing wrong with the sexp that I can see. I'm not sure what the problem is.

PowerCrazy

  • Newbie
  • *
  • Posts: 1
    • View Profile
Error: Unrecognized Operator
« Reply #2 on: July 13, 2006, 07:56:43 PM »
Hmm, I seem ot be getting the same problem at the same place frankie is.

I'm using the 3.6.7 build of SCP and whenever I try to go to the next mission I get this error.

I tried redownloading the mod as well as restarting the campaign but I still get the same error in the same place.

Any ideas?

karajorma

  • He is watching YOU
  • Administrator
  • Hero Member
  • *****
  • Posts: 5268
    • View Profile
Error: Unrecognized Operator
« Reply #3 on: July 13, 2006, 10:32:45 PM »
You sure that you're using 3.6.7 Official and not a CVS version or one of the 3.6.9 Release Candidates?

Anyway the problem is caused by the build you're using. The SEXP that is causing the crash was removed and then later replaced. If you're using a build from the time when the SEXP was missing you'll get this crash.

Heading to HLP and getting 3.6.9 Release Candidate 4 or 5 should solve the problem.